Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalCheckBoxUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.ButtonUI
                  |
                  +--javax.swing.plaf.basic.BasicButtonUI
                        |
                        +--javax.swing.plaf.basic.BasicToggleButtonUI
                              |
                              +--javax.swing.plaf.basic.BasicRadioButtonUI
                                    |
                                    +--javax.swing.plaf.metal.MetalRadioButtonUI
                                          |
                                          +--javax.swing.plaf.metal.MetalCheckBoxUI

public class MetalCheckBoxUI
extends MetalRadioButtonUI

CheckboxUI implementation for MetalCheckboxUI

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

Fields inherited from class javax.swing.plaf.metal.MetalRadioButtonUI
`disabledTextColor, focusColor, selectColor`

Fields inherited from class javax.swing.plaf.basic.BasicRadioButtonUI
`icon`

Fields inherited from class javax.swing.plaf.basic.BasicButtonUI
`defaultTextIconGap, defaultTextShiftOffset`

Constructor Summary
`MetalCheckBoxUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent b)`
`java.lang.String` | `getPropertyPrefix()`
`void` | `installDefaults(AbstractButton b)`
`protected void` | `uninstallDefaults(AbstractButton b)`

Methods inherited from class javax.swing.plaf.metal.MetalRadioButtonUI
`getDisabledTextColor, getFocusColor, getSelectColor, paint, paintFocus`

Methods inherited from class javax.swing.plaf.basic.BasicRadioButtonUI
`getDefaultIcon, getPreferredSize`

Methods inherited from class javax.swing.plaf.basic.BasicToggleButtonUI
`paintButtonPressed, paintFocus, paintIcon, paintText`

Methods inherited from class javax.swing.plaf.basic.BasicButtonUI
`clearTextShiftOffset, createButtonListener, getDefaultTextIconGap, getMaximumSize, getMinimumSize, getTextShiftOffset, installKeyboardActions, installListeners, installUI, paintIcon, paintText, setTextShiftOffset, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalCheckBoxUI

    public MetalCheckBoxUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent b)

### getPropertyPrefix

    public java.lang.String getPropertyPrefix()

  Overrides:
    getPropertyPrefix in class BasicRadioButtonUI

### installDefaults

    public void installDefaults(AbstractButton b)

  Overrides:
    installDefaults in class MetalRadioButtonUI

### uninstallDefaults

    protected void uninstallDefaults(AbstractButton b)

  Overrides:
    uninstallDefaults in class MetalRadioButtonUI

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.